#https://bonsai.sensu.io/assets/sensu-plugins/sensu-plugins-http
resource "sensu_asset" "asset_http" {
  name = "sensu-plugins-http"

  build {
    sha512 = "eb4cb5aee521500c0580111814d909ec8ccda1a13c301578e614e932dc5420fdcd1b7da129a0d801440e433c51eb2fb7aa69df16bfaf6cdbb1ac20ed032d2063"
    url = "https://assets.bonsai.sensu.io/33783747d3af1939808944c2253c262d9d5b3fb7/sensu-plugins-http_6.0.0_centos7_linux_amd64.tar.gz"
    filters = [
      "entity.system.os=='linux'",
      "entity.system.arch=='amd64'",
      "entity.system.platform_family=='rhel'",
      "entity.system.platform_version.split('.')[0] == '7'",
    ]
  }
}

#https://bonsai.sensu.io/assets/sensu/monitoring-plugins
resource "sensu_asset" "asset_monitoring" {
  name = "sensu-plugins-monitoring"

  build {
    sha512 = "7c16b80a419b7b6f11f17eab8ab2ff223e96dcffd090c9b21ec50f3f15cd25809611086afc536dca330924945a88a8f7d8615aa35c3b456a690b064802e4ddb7"
    url = "https://assets.bonsai.sensu.io/1730d4a16e1072e4adcb549249ef388126ba0faf/monitoring-plugins-centos7_2.6.0_linux_amd64.tar.gz"
    filters = [
      "entity.system.os=='linux'",
      "entity.system.arch=='amd64'",
      "entity.system.platform_family=='rhel'",
      "entity.system.platform_version.split('.')[0] == '7'",
    ]
  }
}

#https://bonsai.sensu.io/assets/sensu-plugins/sensu-plugins-network-checks
resource "sensu_asset" "asset_network" {
  name = "sensu-plugins-network-checks"

  build {
    sha512 = "f0a229918245d2156fcc34e272cb351d09f3d7ee79057cccaa88121d837723951c816593104ff959528b0dec7f18901b6735f7b7cf765ddcce85c6fdbb559378"
    url = "https://assets.bonsai.sensu.io/a2115474fe198f3895b953f6d90de86607f33722/sensu-plugins-network-checks_5.0.0_centos7_linux_amd64.tar.gz"
    filters = [
      "entity.system.os=='linux'",
      "entity.system.arch=='amd64'",
      "entity.system.platform_family=='rhel'",
      "entity.system.platform_version.split('.')[0] == '7'",
    ]
  }
}

#https://bonsai.sensu.io/assets/sensu-plugins/sensu-plugins-process-checks
resource "sensu_asset" "asset_process" {
  name = "sensu-plugins-process-checks"

  build {
    sha512 = "1c10dda30ecf0298583b186e9b46f8319d18b093d3f6c3b2be7b475b99ba7e281e8af78a3bcc45fedfeca1d498690a894e15fe56efa9dba5d2052134e1b1ab75"
    url = "https://assets.bonsai.sensu.io/d582eeb357ca2c483cf1dc290640baca8dcd66f5/sensu-plugins-process-checks_4.1.0_centos7_linux_amd64.tar.gz"
    filters = [
      "entity.system.os=='linux'",
      "entity.system.arch=='amd64'",
      "entity.system.platform_family=='rhel'",
      "entity.system.platform_version.split('.')[0] == '7'",
    ]
  }
}

#https://bonsai.sensu.io/assets/sensu/sensu-ruby-runtime
resource "sensu_asset" "asset_ruby" {
  name = "sensu-ruby-runtime"

  build {
    sha512 = "a0e35237207b1543be0d54122591d2d38b81cd84204858b46f8838c08e3dc8f90d1be63a536e35c1cef2659f00d6f47f40b67c063328764f8b1792e472ac1cee"
    url = "https://assets.bonsai.sensu.io/6fbfbc1d8d8fbdb264a9331bee4ce19593a0f21d/sensu-ruby-runtime_0.2.0_ruby-2.4.4_centos7_linux_amd64.tar.gz"
    filters = [
      "entity.system.os=='linux'",
      "entity.system.arch=='amd64'",
      "entity.system.platform_family=='rhel'",
      "entity.system.platform_version.split('.')[0] == '7'",
    ]
  }
}

#https://bonsai.sensu.io/assets/sensu-plugins/sensu-plugins-victorops
resource "sensu_asset" "asset_victorops" {
  name = "sensu-plugins-victorops"

  build {
    sha512 = "6f10ff16a1e43e82ca5dc57ce57dce23c311c957cf678bb9c3c3dc3ee1be84fc8c92c39b50e216e1bea568866e085975af60a58dc465f62beaa640a1e5d65a7d"
    url = "https://assets.bonsai.sensu.io/42b661acefbfe02bc274858bdbff574d961e6a56/sensu-plugins-victorops_3.0.0_centos7_linux_amd64.tar.gz"
    filters = [
      "entity.system.os=='linux'",
      "entity.system.arch=='amd64'",
      "entity.system.platform_family=='rhel'",
      "entity.system.platform_version.split('.')[0] == '7'",
    ]
  }
}